/*========================================================
 * Header arbre bsp
 * Les erreur sont 3x
 *--------------------------------------------------------
 * (c) Disk91 /TeKnO-BeDoUiNs / 12-1998
 *========================================================
 */
 #ifndef _BSP_H_
 #define _BSP_H_

 #include "3d.h"

 #define BSPERROR(x,y) { allegro_exit();                         \
                         printf(" Erreur BSP n %d\n  ",y);     \
                         puts(x) ; exit(y);                      \
                       }

 typedef struct a_bsp
 {
    POLY_f       * ptpoly;
    struct a_bsp * pnextlst;
    struct a_bsp * pfrontbsp;
    struct a_bsp * pbackbsp;
 } BSP;

 BSP * Build_Bsp3d( OBJECT_f * src, OBJECT_f ** dest, int max_vtx, int max_poly, int vtxbypoly, char * file );
 BSP * Build_Bsp3d_optim( OBJECT_f * src, OBJECT_f ** dest, char * file );
 int   Draw_Bsp3d( BSP * arbre, OBJECT_f * src, int maxvtx );
 void  Update_Plan( float zmax, float tx, float ty, float tz, float xrot, float yrot, float zrot, float scale );




 #endif                                 // _BSP_H_
